function run = checkrunexp(expid, runids)

if ~iscell(runids), runids = {runids}; end;

if any(strcmp(expid, runids)) || any(strcmp('all', runids)),
    run = 1;
    return;
else
    % check for wildcards
    for i = 1:length(runids),
        if any(runids{i} == '*'),    % wildcard
            pattern = runids{i}(runids{i} ~= '*');
            run = any(strfind(expid, pattern));
            if run, return; end;
        end;
    end;
end;

% nothing found
run = 0;




