
cd d:\work\m\approxrl\systems\dcmotor\dccons_lin

% X0 = [-pi 0; -pi/2 -2*pi; 0 0; -pi 2*pi]';
X0 = [-pi 0; 0 0; pi/4 0]';
N0 = size(X0, 2);
% datafiles = {'fzdc_lqr_N41M15', 'fzdc_shapbox_N41M15', 'fzdc_shapbox_N40M15'};
% datafiles = {'fzdc_lqr_N41M15', 'fzdc_shapbox_N40M15', 'fzdc_shapbox_N41M15', 'fzdc_bigbox_N41M15', 'fzdc_bigbox_N40M15'};
datafiles = {'fzdc_bigbox_N7M3', 'fzdc_lqr_N7M3'};
Ne = length(datafiles);

for i = 1:Ne,
    dc_plot(['fuzzyh datafile=' datafiles{i}]);
end;

hist = cell(N0, Ne);
for i0 = 1:N0,
    % output the current initial state
    x0 = X0(:, i0)
    clear rcfg;
    rcfg.replay = 1;
    rcfg.interph = 0;
    rcfg.tend = 2;
    rcfg.x0 = X0(:, i0);
    rcfg.plottarget = 'screen';
    figh = zeros(1, Ne);
    for ie = 1:Ne,
        rcfg.datafile = datafiles{ie};
        [hist{i0, ie}, figh(ie)] = fuzzyqi(rcfg);
    end;
    if Ne == 2,
        movegui(figh(1), 'west');
        movegui(figh(2), 'east');
    elseif Ne == 3,
        movegui(figh(1), 'west');
        movegui(figh(2), 'center');
        movegui(figh(3), 'east');
%     elseif Ne <= 4,
    end;
    pause;
end;
