% Demo of how the IP setup is controlled with fuzzy policies

disp('Swing-up');
ipsetup_control('datafile=D:\Work\m\approxrl\systems\invpend_setup\ipconsstudy\is_lqr_N41M15 Tend=5');
disp('Push over');
pause;

disp('Swing-up and hold up for 30 seconds');
ipsetup_control('datafile=D:\Work\m\approxrl\systems\invpend_setup\ipconsstudy\is_lqr_N41M15 Tend=20');
disp('Push over');
pause;

% disp('Swing-up with interpolated policy');
% ipsetup_control('datafile=D:\Work\m\approxrl\systems\invpend_setup\ipconsstudy\is_lqr_N41M15 Tend=30 interph');
% pause;

disp('Swing-up with discontinuous reward');
ipsetup_control('datafile=D:\Work\m\approxrl\systems\invpend_setup\ipconsstudy\is_shapbox_N41M15 Tend=5');
disp('Push over');
