% Comparison of optimistic LSPI on the same sample set as that used by a typical LSPI run

ccfg = struct;
ccfg.loadall = 'lspis_rbfdiscN11eqM3log_randdiscNs10000_#1';
ccfg.Kmax = 1500000;
ccfg.Kupd = 1;
ccfg.Ksave = 20000;
ccfg.Kstoretheta = 100;
ccfg.datadir = pwd;

cfg = ccfg;
cfg.run = 1;
cfg.resample = 'rand';
cfg.datafile = 'lspiopts_rbfdiscN11eqM3log_randdiscNs10000_randasympt';
% lspioptim(cfg);

cfg = ccfg;
% cfg.run = 1;
cfg.resume = 1;
cfg.resample = 'seq';
cfg.datafile = 'lspiopts_rbfdiscN11eqM3log_randdiscNs10000_seqasympt';
% lspioptim(cfg);

cfg = ccfg;
cfg.run = 1;
cfg.resample = 'seq';
cfg.Kupd = 100;
cfg.datafile = 'lspiopts_rbfdiscN11eqM3log_randdiscNs10000_Kupd100_seqasympt';
lspioptim(cfg)