function [u, ord] = hips_heur(x, t)
% random actions
% x and t arguments are ignored (x is used in init mode)

% process 'init' mode
if ischar(x) && strcmp(x, 'init'),
    u = [];   % the initial state of the controller
    ord = 0;   % the order of the controller
    return;
end;

if abs(x(1)) > pi/2,
    u = 3 * (sign(x(2)) >= 0);
else
    u = -10 * x(1) -1 * x(2);
end;
