function cfg = hiv_common_config()
%% HIV Common config
% main configs
% model config
mcfg = struct;
mcfg.filter = 'none';
mcfg.rewtype = 'normadams';  % normalized!
odecfg = struct;
% algo config
cfg = struct;
cfg.planparams.U = flat({[0, 0.7], [0, 0.3]});
cfg.trials = 1;
cfg.reset = 'unhealthy';
cfg.maxsteps = 800/5;
cfg.verb = 3;
cfg.datadir = pwd;
cfg.problem = 'hiv_problem';
cfg.model_params = {mcfg, odecfg}; 
cfg.gamma = 0.98;