% ------------------------------------
function [value, isterminal, direction] = sw_events(t, x, m, c, rad, h)
% Swing leg impact detection; fall detection
theta = x(1); phi = x(2);
% thetadot = x(3); phidot = x(4);
% value       = [cos(theta)-cos(phi-theta);  pi/2-abs(theta); mod(t,m.Ts)];
% isterminal  = [(theta < -0.03) & (x(3) < 0) & (phi < -0.01); 0; 0];
% direction   = [-1; -1; 0];
value       = [mod(t,m.Ts); cos(theta)-cos(phi-theta)];
isterminal  = [0; (theta < -0.03) & (x(3) < 0) & (phi < -0.01)];
direction   = [0; -1];
end