function dest = transferfields(dest, source)
% Overwrites any fieldnames of DEST that match fields in SOURCE with the values in SOURCE
%   DEST = TRANSFERPARAMS(DEST, SOURCE)

f = fieldnames(dest);
for i = 1:length(f),
    if isfield(source.(fieldnames{i})),
        dest.(fieldnames{i}) = source.(fieldnames{i});
    end;
end;

% END transferfields RETURNING dest ====================================================