% Discrete double integrator problem for approximate RL
%
% ddi_problem           - problem definition function
% ddi_mdp               - original MDP that only supported 'quad' reward function
% ddi_mdp               - extended MDP function
% ddi_mdpQUAD2          - MDP function optimized for 'QUAD2' reward function
% ddi_plot              - utility to plot various elements (policy, value fun etc)
%
% Other ad-hoc functions and scripts:
% dd_nearoptimal        - compute near optimal policy and Q-fun with fuzzy Q-iter
