mode = 'run';

% main cfg
cfg = struct;
cfg.(mode) = 1;
% LSPI config
cfg.problem = 'ipsetup_problem';
cfg.gamma = .98;
cfg.maxtime  = 60*5;                % five minutes
cfg.trialtime = 1.5;
cfg.dupd = 0.5;
cfg.explor = 1;                         % start with this exploration rate
cfg.explordecay = 0.1^(1/cfg.maxtime);  % so that we have 0.1 at the end of the experiment
% misc config (output etc)
cfg.datadir = pwd;
cfg.verb = 5;
cfg.ddisp = 5;
cfg.dsave = 30;
cfg.dstoretheta = 10;               % once every 10 seconds

% RBF ortho 2nd order with policy param
cfg.approx = 'enhanced type=rbfdisc N=11 M=3 xspace=eq';
cfg.datafile = ['lspios_rbfdiscN11eqM3log_t' num2strx(cfg.maxtime) 'dupd' num2strx(cfg.dupd)];
lspionline(cfg);

