% Just samples generation followed by plot to see how they are distributed

% cfg.K = 200;
% cfg.N = 5000;
% cfg.method = 'randtrajdisc';
% cfg.ugrids = {[-3, 0, 3]};        % for discrete-action sampling
% cfg.policy = 'hrand';        % policy to use in generating samples
% cfg.policyargs = {flat(cfg.ugrids), 1};    % extra arguments to policy
% cfg.explor = 0;       % exploration probability when using policy

cfg.K = 200;
cfg.N = 5000;
cfg.method = 'randtrajdisc';
cfg.ugrids = {[-3, 0, 3]};  % for discrete-action sampling
cfg.policy = 'hips_heur';   % policy to use in generating samples
cfg.policyargs = {};        % extra arguments to policy
cfg.explor = 0.3;             % exploration probability when using policy

model = ipsetup_problem('model');
S = generate_samples(model, cfg, []);

figure;
plot(S.X(1, :), S.X(2, :), 'o');