%% invpend -- cfg
ccfg = struct;
ccfg.problem = 'ipsetup_problem';
ccfg.model_params = {[], 'type=ip maxu=3', 'Ts=0.005'};
ccfg.gamma = .98;
ccfg.datadir = pwd;
% the "standard" ipsetup approximator
ccfg.approx = 'enhanced type=rbfdisc N=11 M=3';
% and learning settings
ccfg.trialtime = 2;
ccfg.maxtime  = 1000;
ccfg.alpha = .5;
ccfg.lambda = .5;
ccfg.explor = 1;
ccfg.explordecay = .98;
% reset 
ccfg.reset = 'rand';
% stats settings
ccfg.verb = 5;
ccfg.eps = 0;


%% run
cfg = ccfg;
cfg.run = 1;
cfg.datafile = 'test_approxqlearn_ip';
approxqlearn(cfg);



%% DC motor -- cfg
ccfg = struct;
ccfg.problem = 'dc_problem';
ccfg.gamma = .95;
ccfg.datadir = pwd;
% the "standard" ipsetup approximator
ccfg.approx = 'enhanced type=rbfdisc N=11 M=3';
% and learning settings
ccfg.trialtime = 2;
ccfg.maxtime  = 1000;
ccfg.alpha = .5;
ccfg.lambda = 0; %.5;
ccfg.explor = 1;
ccfg.explordecay = .98;
% reset 
ccfg.reset = 'rand';
% stats settings
ccfg.verb = 5;
ccfg.eps = 0;


%% run
cfg = ccfg;
cfg.run = 1;
cfg.datafile = 'test_approxqlearn_dc_noelig';
approxqlearn(cfg);
